python-pyasn: bump to version 1.6.0b1
[buildroot-gz.git] / package / haveged / S21haveged
blob3e6ce8678ff6be962f6dc8c611356b4e62b9233a
1 #!/bin/sh
3 [ -x /usr/sbin/haveged ] || exit 0
5 case "$1" in
6 start)
7 printf "Starting haveged: "
8 start-stop-daemon -S -x /usr/sbin/haveged -- -w 1024 -r 0
9 [ $? = 0 ] && echo "OK" || echo "FAIL"
11 stop)
12 printf "Stopping haveged: "
13 start-stop-daemon -K -x /usr/sbin/haveged
14 [ $? = 0 ] && echo "OK" || echo "FAIL"
16 restart|reload)
17 $0 stop
18 $0 start
21 echo "Usage: $0 {start|stop|restart}"
22 exit 1
23 esac
25 exit 0